"use strict";
{
    self.C3.Plugins.PaulPlay_TapticEnginePlugin.Acts = {
        SelectionVibrate()
        {
            if (window.TapticEngine)
            {
                TapticEngine.selection();
            }
        },

        ImpactVibrate(impactStyle)
        {
            if (window.TapticEngine)
            {
                TapticEngine.impact(
                {
                    style: impactStyle
                });
            }
        },

        VibrateNotification(vibrationType)
        {
            if (window.TapticEngine)
            {
                TapticEngine.notification(
                {
                    type: vibrationType
                });
            }
        }
    };
}